%define gettext_package rhgb

Summary: Red Hat Graphical Boot
Name: rhgb
Version: 0.16.2
Release: 3
URL: http://www.redhat.com/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: s390 s390x ppc64
BuildRequires: vte-devel
Requires: initscripts >= 7.22-1

%description
Red Hat Graphical Boot provides a clean and simple interface to the boot process

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%find_lang %{gettext_package}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_datadir}/rhgb
/etc/rhgb
/etc/rhgb/temp
%doc doc/HOW_IT_WORKS

%changelog
* Wed Mar 16 2005 David Zeuthen <davidz@redhat.com> 0.16.2-3
- Rebuild

* Mon Jan 31 2005 Bill Nottingham <notting@redhat.com> 0.16.2
- fix resetting of init's console on exit (#141953)

* Fri Nov 19 2004 Daniel Veillard <veillard@redhat.com> 0.16.1
- switch to display :9 to fix #139704
- delay creation of the fifo after X initialization to avoid deadlock
  with initscripts if X fails to start #135574
- cleanup in case of deadly signal received
- improved the debugging layer to chase aformentioned bugs.
- po/*: update the translations

* Tue Nov 16 2004 Daniel Veillard <veillard@redhat.com> 0.15.1
- fix bug #139463 where rhgb eats all the CPU on pipe handling
- update translations

* Wed Oct 13 2004 Daniel Veillard <veillard@redhat.com> 0.14.1
- try to fix the DRI problem in conjunction with x.org update
- update languages
- fix for #134742

* Tue Oct  5 2004 Elliot Lee <sopwith@redhat.com> 0.13.5-2
- rhgb-0.13.5-firstboot patch - don't do a timeout while we're running firstboot- Use _smp_mflags macro

* Fri Oct  1 2004 Daniel Veillard <veillard@redhat.com> 0.13.5
- updated the localization strings

* Thu Sep 30 2004 Daniel Veillard <veillard@redhat.com> 0.13.4
- updated the localization strings

* Fri Sep 24 2004 Daniel Veillard <veillard@redhat.com> 0.13.3
- added documentation on the boot process
- updated the localization strings

* Sat Sep 18 2004 Daniel Veillard <veillard@redhat.com> 0.13.2
- add support for specific conf file in /etc/rhgb/xorg.conf #131063
- avoid dropping back to text mode between rhgb end and gdm #108665

* Wed Sep 15 2004 Daniel Veillard <veillard@redhat.com> 0.13.1
- fix vt1 switching #131899
- fix fsck reporting, exporing it to the vte, requires a patch to
  initscript too #107121, #129881
- move temp fielsystem to /etc/rhgb/temp
- provide a mechanism to output to the detailed view
- automatically switch to detailed view or vt1 on timeouts

* Sat Sep 11 2004 Daniel Veillard <veillard@redhat.com> 0.12.6
- fix the X keyboard setting before launching firstboot #100686

* Fri Sep 10 2004 Daniel Veillard <veillard@redhat.com> 0.12.5
- fix part of the patch for xinerama which hung firstboot #128003

* Thu Sep  9 2004 Daniel Veillard <veillard@redhat.com> 0.12.4
- move rhgb out of /initrd to /etc/rhgb fixes #117575

* Tue Jul 27 2004 Daniel Veillard <veillard@redhat.com> 0.12.3
- update for translations, should fix #128288

* Mon Jul 12 2004 Daniel Veillard <veillard@redhat.com> 0.12.2
- previous version lost two patches which were not commited

* Mon Jul 12 2004 Daniel Veillard <veillard@redhat.com> 0.12.1
- bug fixes for xinerama and build fixes
- lot of translation strings update

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.11
- only launch if explicitly listed in grub

* Fri Oct 17 2003 Jonathan Blandford <jrb@redhat.com> 0.10.6-1
- add working xkb support

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-2
- Don't build on s390, s390x and ppc64 as they don't have libxf86config.

* Thu Oct 16 2003 Jonathan Blandford <jrb@redhat.com> 0.10.5-1
- add xkb support

* Tue Oct  7 2003 Jonathan Blandford <jrb@redhat.com> 0.10.4.-1s
- new splash code

* Wed Jul  9 2003 Bill Nottingham <notting@redhat.com> 0.9.4-1
- fix checking for command-line arguments, again

* Mon Jul  7 2003 Bill Nottingham <notting@redhat.com> 0.9.3-1
- fix checking for command-line arguments

* Fri Oct 11 2002 Jonathan Blandford <jrb@redhat.com>
- Initial build.


